Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.crypto
Class Algorithm

    java.lang.Object
      |
      +--org.mozilla.jss.crypto.Algorithm

Direct Known Subclasses:
  DigestAlgorithm, EncryptionAlgorithm, KeyGenAlgorithm, KeyPairAlgorithm, KeyWrapAlgorithm, SignatureAlgorithm

public class Algorithm
extends java.lang.Object

Represents a cryptographic algorithm.

See Also:
  `EncryptionAlgorithm`, `SignatureAlgorithm`

Field Summary
`(package private) static OBJECT_IDENTIFIER` | `ANSI_X9_ALGORITHM`
`protected static short` | `CKM_DES_CBC_PAD`
`protected static short` | `CKM_DES_KEY_GEN`
`protected static short` | `CKM_DES3_CBC_PAD`
`protected static short` | `CKM_DES3_ECB`
`protected static short` | `CKM_DES3_KEY_GEN`
`protected static short` | `CKM_DSA_KEY_PAIR_GEN`
`protected static short` | `CKM_PBA_SHA1_WITH_SHA1_HMAC`
`protected static short` | `CKM_RC4_KEY_GEN`
`protected static short` | `CKM_RSA_PKCS_KEY_PAIR_GEN`
`protected static short` | `CKM_SHA_1_HMAC`
`(package private) java.lang.String` | `name`
`protected OBJECT_IDENTIFIER` | `oid`
`protected int` | `oidIndex` Index into the SECOidTag array in Algorithm.c.
`private java.lang.Class` | `parameterClass`
`protected static short` | `SEC_OID_ANSIX9_DSA_SIGNATURE`
`protected static short` | `SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST`
`protected static short` | `SEC_OID_DES_CBC`
`protected static short` | `SEC_OID_DES_ECB`
`protected static short` | `SEC_OID_DES_EDE3_CBC`
`protected static short` | `SEC_OID_MD2`
`protected static short` | `SEC_OID_MD5`
`protected static short` | `SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION`
`protected static short` | `SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION`
`protected static short` | `SEC_OID_PKCS1_RSA_ENCRYPTION`
`protected static short` | `SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION`
`protected static short` | `SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC`
`protected static short` | `SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4`
`protected static short` | `SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC`
`protected static short` | `SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC`
`protected static short` | `SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4`
`protected static short` | `SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC`
`protected static short` | `SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC`
`protected static short` | `SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC`
`protected static short` | `SEC_OID_RC2_CBC`
`protected static short` | `SEC_OID_RC4`
`protected static short` | `SEC_OID_SHA1`

Constructor Summary
`private` | `Algorithm()`
`protected` | `Algorithm(int oidIndex, java.lang.String name)`
`protected` | `Algorithm(int oidIndex, java.lang.String name, OBJECT_IDENTIFIER oid)`
`protected` | `Algorithm(int oidIndex, java.lang.String name, OBJECT_IDENTIFIER oid, java.lang.Class paramClass)`

Method Summary
`java.lang.Class` | `getParameterClass()` The type of parameter that this algorithm expects.
`OBJECT_IDENTIFIER` | `toOID()` Returns the object identifier for this algorithm.
`java.lang.String` | `toString()` Returns a String representation of the algorithm.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### oidIndex

    protected int oidIndex

  Index into the SECOidTag array in Algorithm.c.

### name

    java.lang.String name

### oid

    protected OBJECT_IDENTIFIER oid

### parameterClass

    private java.lang.Class parameterClass

### ANSI_X9_ALGORITHM

    static final OBJECT_IDENTIFIER ANSI_X9_ALGORITHM

### SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION

    protected static final short SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION

### SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION

    protected static final short SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION

### SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION

    protected static final short SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION

### SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST

    protected static final short SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST

### SEC_OID_PKCS1_RSA_ENCRYPTION

    protected static final short SEC_OID_PKCS1_RSA_ENCRYPTION

### CKM_RSA_PKCS_KEY_PAIR_GEN

    protected static final short CKM_RSA_PKCS_KEY_PAIR_GEN

### CKM_DSA_KEY_PAIR_GEN

    protected static final short CKM_DSA_KEY_PAIR_GEN

### SEC_OID_ANSIX9_DSA_SIGNATURE

    protected static final short SEC_OID_ANSIX9_DSA_SIGNATURE

### SEC_OID_RC4

    protected static final short SEC_OID_RC4

### SEC_OID_DES_ECB

    protected static final short SEC_OID_DES_ECB

### SEC_OID_DES_CBC

    protected static final short SEC_OID_DES_CBC

### CKM_DES_CBC_PAD

    protected static final short CKM_DES_CBC_PAD

### CKM_DES3_ECB

    protected static final short CKM_DES3_ECB

### SEC_OID_DES_EDE3_CBC

    protected static final short SEC_OID_DES_EDE3_CBC

### CKM_DES3_CBC_PAD

    protected static final short CKM_DES3_CBC_PAD

### CKM_DES_KEY_GEN

    protected static final short CKM_DES_KEY_GEN

### CKM_DES3_KEY_GEN

    protected static final short CKM_DES3_KEY_GEN

### CKM_RC4_KEY_GEN

    protected static final short CKM_RC4_KEY_GEN

### SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC

    protected static final short SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC

### SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC

    protected static final short SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC

### SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC

    protected static final short SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC

### SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4

    protected static final short SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4

### SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4

    protected static final short SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4

### SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC

    protected static final short SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC

### SEC_OID_MD2

    protected static final short SEC_OID_MD2

### SEC_OID_MD5

    protected static final short SEC_OID_MD5

### SEC_OID_SHA1

    protected static final short SEC_OID_SHA1

### CKM_SHA_1_HMAC

    protected static final short CKM_SHA_1_HMAC

### SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC

    protected static final short SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC

### SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC

    protected static final short SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC

### SEC_OID_RC2_CBC

    protected static final short SEC_OID_RC2_CBC

### CKM_PBA_SHA1_WITH_SHA1_HMAC

    protected static final short CKM_PBA_SHA1_WITH_SHA1_HMAC

Constructor Detail

### Algorithm

    private Algorithm()

### Algorithm

    protected Algorithm(int oidIndex,
                        java.lang.String name)

  Parameters:
    `oidIndex` - Index of the oid that this algorithm represents.
    `name` - A String representation of the Algorithm.

### Algorithm

    protected Algorithm(int oidIndex,
                        java.lang.String name,
                        OBJECT_IDENTIFIER oid)

  Parameters:
    `oidIndex` - Index of the oid that this algorithm represents.
    `name` - A String representation of the Algorithm.
    `oid` - The object identifier for this Algorithm.

### Algorithm

    protected Algorithm(int oidIndex,
                        java.lang.String name,
                        OBJECT_IDENTIFIER oid,
                        java.lang.Class paramClass)

Method Detail

### toString

    public java.lang.String toString()

  Returns a String representation of the algorithm.
  Overrides:
    `toString` in class `java.lang.Object`

### toOID

    public OBJECT_IDENTIFIER toOID()
                            throws java.security.NoSuchAlgorithmException

  Returns the object identifier for this algorithm.
  Throws:
    `java.security.NoSuchAlgorithmException` - If no OID is registered for this algorithm.

### getParameterClass

    public java.lang.Class getParameterClass()

  The type of parameter that this algorithm expects. Returns `null` if this algorithm does not take any parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD